/* KallistiGL for KOS 1.1.3

   glvars.c
   (c)2001 Dan Potter
*/

static char id[] = "KGL $Id: glvars.c,v 1.1 2001/09/09 23:58:37 bard Exp $";

#include <GL/gl.h>
#include <GL/glu.h>
#include "glinternal.h"

/* Variable definitions */

/* Background clear color (not currently used) */
GLfloat gl_clear_color[4];

/* Capabilities bitfield: toggles for glEnable() / glDisable() */
GLbitfield gl_capabilities;

/* Current primitive type (or -1) */
GLenum gl_prim_type;

/* Poly header buffers */
poly_hdr_t gl_pbuf_col_opaque;		/* Colored / opaque */
poly_hdr_t gl_pbuf_col_trans;		/* Colored / translucent */
poly_hdr_t *gl_pbuf;
GLboolean gl_pbuf_submitted;

/* Viewport size */
GLint gl_viewport_x1, gl_viewport_y1,
	gl_viewport_width, gl_viewport_height;

/* Transformation matrices */
matrix_t gl_trans_mats[GL_MATRIX_COUNT];
int gl_matrix_mode;
GLboolean gl_matrix_dirty;



